petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMultHermitianTranspose

Computes matrix Hermitian transpose times a vector.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultHermitianTranspose(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| x | - the vector to be multilplied

### Output Parameters

y -the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMultHermitianTranspose(A,y,y).

Also called the conjugate transpose, complex conjugate transpose, or adjoint.

For real numbers MatMultTranspose() and MatMultHermitianTranspose() are identical.

### See Also

MatMult(), MatMultAdd(), MatMultHermitianTransposeAdd(), MatMultTranspose()

### Level

beginner

### Location

src/mat/interface/matrix.c

### Implementations

MatMultHermitianTranspose_SeqBAIJ in src/mat/impls/baij/seq/baij2.c
MatMultHermitianTranspose_Normal in src/mat/impls/normal/normmh.c
MatMultHermitianTranspose_HT in src/mat/impls/transpose/htransm.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages